Package net.sourceforge.jiu.codecs.jpeg

# Class JPEGFrameComponent

java.lang.Object
net.sourceforge.jiu.codecs.jpeg.JPEGFrameComponent

public class JPEGFrameComponent extends Object
Data class for information on a JPEG frame component.

Since:
  0.13.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`componentId`
`private int`
`horizontalSamplingFactor`
`private int`
`quantizationTableId`
`private int`
`verticalSamplingFactor`

## Constructor Summary

Constructors
Constructor
Description
`JPEGFrameComponent()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getComponentId()`
`int`
`getHorizontalSamplingFactor()`
`int`
`getQuantizationTableId()`
`int`
`getVerticalSamplingFactor()`
`void`
`setComponentId(int i)`
`void`
`setHorizontalSamplingFactor(int i)`
`void`
`setQuantizationTableId(int i)`
`void`
`setVerticalSamplingFactor(int i)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### componentId

private int componentId

### horizontalSamplingFactor

private int horizontalSamplingFactor

### verticalSamplingFactor

private int verticalSamplingFactor

### quantizationTableId

private int quantizationTableId

## Constructor Details

### JPEGFrameComponent

public JPEGFrameComponent()

## Method Details

### getComponentId

public int getComponentId()

### getHorizontalSamplingFactor

public int getHorizontalSamplingFactor()

### getQuantizationTableId

public int getQuantizationTableId()

### getVerticalSamplingFactor

public int getVerticalSamplingFactor()

### setComponentId

public void setComponentId(int i)

### setHorizontalSamplingFactor

public void setHorizontalSamplingFactor(int i)

### setQuantizationTableId

public void setQuantizationTableId(int i)

### setVerticalSamplingFactor

public void setVerticalSamplingFactor(int i)

### toString

public String toString()

Overrides:
  `toString` in class `Object`